Loading...
Searching...
No Matches
Opm::FileDeck::Index Struct Reference

## Public Member Functions

| Index (const std::size_t file_index_arg, const std::size_t keyword_index_arg, const FileDeck *deck_arg)
Index & | operator-- ()
Index | operator-- (int)
Index & | operator++ ()
Index | operator++ (int)
bool | operator== (const Index &other) const
bool | operator!= (const Index &other) const
bool | operator< (const Index &other) const
Index | operator+ (std::size_t shift) const

## Public Attributes

std::size_t | file_index {}
std::size_t | keyword_index {}

The documentation for this struct was generated from the following files:

- opm/input/eclipse/Deck/FileDeck.hpp
- opm/input/eclipse/Deck/FileDeck.cpp